<!-- title: erpnext.controllers.status_updater --><div class="dev-header">

<a class="btn btn-default btn-sm" disabled style="margin-bottom: 10px;">
	Version 6.x.x</a>


	<a class="btn btn-default btn-sm" href="https://github.com/frappe/erpnext/blob/develop/erpnext/controllers/status_updater.py"
		target="_blank" style="margin-left: 10px; margin-bottom: 10px;"><i class="octicon octicon-mark-github"></i> Source</a>

</div>





	
        
	<h3 style="font-weight: normal;">Class <b>StatusUpdater</b></h3>
    
    <p style="padding-left: 30px;"><i>Inherits from frappe.model.document.Document</i></h4>
    
    <div class="docs-attr-desc"><p>Updates the status of the calling records
Delivery Note: Update Delivered Qty, Update Percent and Validate over delivery
Sales Invoice: Update Billed Amt, Update Percent and Validate over billing
Installation Note: Update Installed Qty, Update Percent Qty and Validate over installation</p>
</div>
    <div style="padding-left: 30px;">
        
        
    
    
	<p class="docs-attr-name">
        <a name="_update_children" href="#_update_children" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>_update_children</b>
        <i class="text-muted">(self, args)</i>
    </p>
	<div class="docs-attr-desc"><p>Update quantities or amount in child table</p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="_update_percent_field" href="#_update_percent_field" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>_update_percent_field</b>
        <i class="text-muted">(self, args)</i>
    </p>
	<div class="docs-attr-desc"><p>Update percent field in parent transaction</p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="check_overflow_with_tolerance" href="#check_overflow_with_tolerance" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>check_overflow_with_tolerance</b>
        <i class="text-muted">(self, item, args)</i>
    </p>
	<div class="docs-attr-desc"><p>Checks if there is overflow condering a relaxation tolerance</p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="set_status" href="#set_status" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>set_status</b>
        <i class="text-muted">(self, update=False, status=None)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="update_billing_status" href="#update_billing_status" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>update_billing_status</b>
        <i class="text-muted">(self, zero_amount_refdoc, ref_dt, ref_fieldname)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="update_billing_status_for_zero_amount_refdoc" href="#update_billing_status_for_zero_amount_refdoc" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>update_billing_status_for_zero_amount_refdoc</b>
        <i class="text-muted">(self, ref_dt)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="update_prevdoc_status" href="#update_prevdoc_status" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>update_prevdoc_status</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="update_qty" href="#update_qty" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>update_qty</b>
        <i class="text-muted">(self, change_modified=True)</i>
    </p>
	<div class="docs-attr-desc"><p>Updates qty or amount at row level</p>

<p><strong>Parameters:</strong></p>

<ul>
<li><strong><code>change_modified</code></strong> -  If true, updates <code>modified</code> and <code>modified_by</code> for target parent doc</li>
</ul>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="validate_qty" href="#validate_qty" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>validate_qty</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p>Validates qty at row level</p>
</div>
	<br>

        
    </div>
    <hr>

	

	
        
    
    
	<p class="docs-attr-name">
        <a name="erpnext.controllers.status_updater.get_tolerance_for" href="#erpnext.controllers.status_updater.get_tolerance_for" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		erpnext.controllers.status_updater.<b>get_tolerance_for</b>
        <i class="text-muted">(item_code, item_tolerance={}, global_tolerance=None)</i>
    </p>
	<div class="docs-attr-desc"><p>Returns the tolerance for the item, if not set, returns global tolerance</p>
</div>
	<br>

	

	
        
    
    
	<p class="docs-attr-name">
        <a name="erpnext.controllers.status_updater.validate_status" href="#erpnext.controllers.status_updater.validate_status" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		erpnext.controllers.status_updater.<b>validate_status</b>
        <i class="text-muted">(status, options)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

	



<!-- autodoc -->