<!-- title: Payment Reconciliation -->





<div class="dev-header">

<a class="btn btn-default btn-sm" disabled style="margin-bottom: 10px;">
	Version 6.x.x</a>


	<a class="btn btn-default btn-sm" href="https://github.com/frappe/erpnext/tree/develop/erpnext/accounts/doctype/payment_reconciliation"
		target="_blank" style="margin-left: 10px; margin-bottom: 10px;"><i class="octicon octicon-mark-github"></i> Source</a>

</div>

<span class="label label-info">Single</span>






<h3>Fields</h3>

<table class="table table-bordered" style="table-layout: fixed;">
    <thead>
        <tr>
            <th style="width: 5%">Sr</th>
            <th style="width: 25%">Fieldname</th>
            <th style="width: 20%">Type</th>
            <th style="width: 25%">Label</th>
            <th style="width: 25%">Options</th>
        </tr>
    </thead>
    <tbody>
        
        <tr >
            <td>1</td>
            <td class="danger" title="Mandatory"><code>company</code></td>
            <td >
                Link</td>
            <td >
                Company
                
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/setup/company">Company</a>


                
            </td>
        </tr>
        
        <tr >
            <td>2</td>
            <td class="danger" title="Mandatory"><code>party_type</code></td>
            <td >
                Link</td>
            <td >
                Party Type
                
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/core/doctype">DocType</a>


                
            </td>
        </tr>
        
        <tr >
            <td>3</td>
            <td class="danger" title="Mandatory"><code>party</code></td>
            <td >
                Dynamic Link</td>
            <td >
                Party
                
            </td>
            <td>
                <pre>party_type</pre>
            </td>
        </tr>
        
        <tr >
            <td>4</td>
            <td class="danger" title="Mandatory"><code>receivable_payable_account</code></td>
            <td >
                Link</td>
            <td >
                Receivable / Payable Account
                
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/accounts/account">Account</a>


                
            </td>
        </tr>
        
        <tr >
            <td>5</td>
            <td ><code>bank_cash_account</code></td>
            <td >
                Link</td>
            <td >
                Bank / Cash Account
                
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/accounts/account">Account</a>


                
            </td>
        </tr>
        
        <tr >
            <td>6</td>
            <td ><code>col_break1</code></td>
            <td class="info">
                Column Break</td>
            <td >
                
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>7</td>
            <td ><code>from_date</code></td>
            <td >
                Date</td>
            <td >
                From Date
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>8</td>
            <td ><code>to_date</code></td>
            <td >
                Date</td>
            <td >
                To Date
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>9</td>
            <td ><code>minimum_amount</code></td>
            <td >
                Currency</td>
            <td >
                Minimum Amount
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>10</td>
            <td ><code>maximum_amount</code></td>
            <td >
                Currency</td>
            <td >
                Maximum Amount
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>11</td>
            <td ><code>get_unreconciled_entries</code></td>
            <td >
                Button</td>
            <td >
                Get Unreconciled Entries
                
            </td>
            <td></td>
        </tr>
        
        <tr class="info">
            <td>12</td>
            <td ><code>sec_break1</code></td>
            <td >
                Section Break</td>
            <td >
                Unreconciled Payment Details
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>13</td>
            <td ><code>payments</code></td>
            <td >
                Table</td>
            <td >
                Payments
                
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/accounts/payment_reconciliation_payment">Payment Reconciliation Payment</a>


                
            </td>
        </tr>
        
        <tr >
            <td>14</td>
            <td ><code>reconcile</code></td>
            <td >
                Button</td>
            <td >
                Reconcile
                
            </td>
            <td></td>
        </tr>
        
        <tr class="info">
            <td>15</td>
            <td ><code>sec_break2</code></td>
            <td >
                Section Break</td>
            <td >
                Invoice/Journal Entry Details
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>16</td>
            <td ><code>invoices</code></td>
            <td >
                Table</td>
            <td >
                Invoices
                
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/accounts/payment_reconciliation_invoice">Payment Reconciliation Invoice</a>


                
            </td>
        </tr>
        
    </tbody>
</table>


    <hr>
    <h3>Controller</h3>
    <h4>erpnext.accounts.doctype.payment_reconciliation.payment_reconciliation</h4>

    



	
        
	<h3 style="font-weight: normal;">Class <b>PaymentReconciliation</b></h3>
    
    <p style="padding-left: 30px;"><i>Inherits from frappe.model.document.Document</i></h4>
    
    <div class="docs-attr-desc"><p></p>
</div>
    <div style="padding-left: 30px;">
        
        
    
    
	<p class="docs-attr-name">
        <a name="add_invoice_entries" href="#add_invoice_entries" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>add_invoice_entries</b>
        <i class="text-muted">(self, non_reconciled_invoices)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="add_payment_entries" href="#add_payment_entries" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>add_payment_entries</b>
        <i class="text-muted">(self, jv_entries)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="check_condition" href="#check_condition" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>check_condition</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="check_mandatory_to_fetch" href="#check_mandatory_to_fetch" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>check_mandatory_to_fetch</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="get_invoice_entries" href="#get_invoice_entries" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>get_invoice_entries</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="get_jv_entries" href="#get_jv_entries" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>get_jv_entries</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="get_unreconciled_entries" href="#get_unreconciled_entries" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>get_unreconciled_entries</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="reconcile" href="#reconcile" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>reconcile</b>
        <i class="text-muted">(self, args)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="validate_invoice" href="#validate_invoice" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>validate_invoice</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
    </div>
    <hr>

	


    
    


<!-- autodoc -->
<!-- jinja -->
<!-- static -->