<!-- title: Purchase Taxes and Charges Template -->





<div class="dev-header">

<a class="btn btn-default btn-sm" disabled style="margin-bottom: 10px;">
	Version 6.x.x</a>


	<a class="btn btn-default btn-sm" href="https://github.com/frappe/erpnext/tree/develop/erpnext/accounts/doctype/purchase_taxes_and_charges_template"
		target="_blank" style="margin-left: 10px; margin-bottom: 10px;"><i class="octicon octicon-mark-github"></i> Source</a>

</div>





    <p><b>Table Name:</b> <code>tabPurchase Taxes and Charges Template</code></p>


Standard tax template that can be applied to all Purchase Transactions. This template can contain list of tax heads and also other expense heads like "Shipping", "Insurance", "Handling" etc.

#### Note

The tax rate you define here will be the standard tax rate for all **Items**. If there are **Items** that have different rates, they must be added in the **Item Tax** table in the **Item** master.

#### Description of Columns

1. Calculation Type: 
    - This can be on **Net Total** (that is the sum of basic amount).
    - **On Previous Row Total / Amount** (for cumulative taxes or charges). If you select this option, the tax will be applied as a percentage of the previous row (in the tax table) amount or total.
    - **Actual** (as mentioned).
2. Account Head: The Account ledger under which this tax will be booked
3. Cost Center: If the tax / charge is an income (like shipping) or expense it needs to be booked against a Cost Center.
4. Description: Description of the tax (that will be printed in invoices / quotes).
5. Rate: Tax rate.
6. Amount: Tax amount.
7. Total: Cumulative total to this point.
8. Enter Row: If based on "Previous Row Total" you can select the row number which will be taken as a base for this calculation (default is the previous row).
9. Consider Tax or Charge for: In this section you can specify if the tax / charge is only for valuation (not a part of total) or only for total (does not add value to the item) or for both.
10. Add or Deduct: Whether you want to add or deduct the tax.

<h3>Fields</h3>

<table class="table table-bordered" style="table-layout: fixed;">
    <thead>
        <tr>
            <th style="width: 5%">Sr</th>
            <th style="width: 25%">Fieldname</th>
            <th style="width: 20%">Type</th>
            <th style="width: 25%">Label</th>
            <th style="width: 25%">Options</th>
        </tr>
    </thead>
    <tbody>
        
        <tr >
            <td>1</td>
            <td class="danger" title="Mandatory"><code>title</code></td>
            <td >
                Data</td>
            <td >
                Title
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>2</td>
            <td ><code>is_default</code></td>
            <td >
                Check</td>
            <td >
                Default
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>3</td>
            <td ><code>disabled</code></td>
            <td >
                Check</td>
            <td >
                Disabled
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>4</td>
            <td ><code>column_break4</code></td>
            <td class="info">
                Column Break</td>
            <td >
                
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>5</td>
            <td class="danger" title="Mandatory"><code>company</code></td>
            <td >
                Link</td>
            <td >
                Company
                
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/setup/company">Company</a>


                
            </td>
        </tr>
        
        <tr class="info">
            <td>6</td>
            <td ><code>section_break6</code></td>
            <td >
                Section Break</td>
            <td >
                
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>7</td>
            <td ><code>taxes</code></td>
            <td >
                Table</td>
            <td >
                Purchase Taxes and Charges
                
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/accounts/purchase_taxes_and_charges">Purchase Taxes and Charges</a>


                
            </td>
        </tr>
        
    </tbody>
</table>


    <hr>
    <h3>Controller</h3>
    <h4>erpnext.accounts.doctype.purchase_taxes_and_charges_template.purchase_taxes_and_charges_template</h4>

    



	
        
	<h3 style="font-weight: normal;">Class <b>PurchaseTaxesandChargesTemplate</b></h3>
    
    <p style="padding-left: 30px;"><i>Inherits from frappe.model.document.Document</i></h4>
    
    <div class="docs-attr-desc"><p></p>
</div>
    <div style="padding-left: 30px;">
        
        
    
    
	<p class="docs-attr-name">
        <a name="validate" href="#validate" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>validate</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
    </div>
    <hr>

	


    
    
        <h4>Linked In:</h4>
        <ul>
        
			
            <li>


<a href="https://frappe.github.io/erpnext/current/models/accounts/purchase_invoice">Purchase Invoice</a>

</li>
			
        
			
            <li>


<a href="https://frappe.github.io/erpnext/current/models/buying/purchase_order">Purchase Order</a>

</li>
			
        
			
            <li>


<a href="https://frappe.github.io/erpnext/current/models/stock/purchase_receipt">Purchase Receipt</a>

</li>
			
        
			
            <li>


<a href="https://frappe.github.io/erpnext/current/models/buying/supplier">Supplier</a>

</li>
			
        
			
            <li>


<a href="https://frappe.github.io/erpnext/current/models/buying/supplier_quotation">Supplier Quotation</a>

</li>
			
        
			
            <li>


<a href="https://frappe.github.io/erpnext/current/models/accounts/tax_rule">Tax Rule</a>

</li>
			
        
        </ul>
    


<!-- autodoc -->
<!-- jinja -->
<!-- static -->