<!-- title: Authorization Rule -->





<div class="dev-header">

<a class="btn btn-default btn-sm" disabled style="margin-bottom: 10px;">
	Version 6.x.x</a>


	<a class="btn btn-default btn-sm" href="https://github.com/frappe/erpnext/tree/develop/erpnext/setup/doctype/authorization_rule"
		target="_blank" style="margin-left: 10px; margin-bottom: 10px;"><i class="octicon octicon-mark-github"></i> Source</a>

</div>





    <p><b>Table Name:</b> <code>tabAuthorization Rule</code></p>




<h3>Fields</h3>

<table class="table table-bordered" style="table-layout: fixed;">
    <thead>
        <tr>
            <th style="width: 5%">Sr</th>
            <th style="width: 25%">Fieldname</th>
            <th style="width: 20%">Type</th>
            <th style="width: 25%">Label</th>
            <th style="width: 25%">Options</th>
        </tr>
    </thead>
    <tbody>
        
        <tr >
            <td>1</td>
            <td class="danger" title="Mandatory"><code>transaction</code></td>
            <td >
                Select</td>
            <td >
                Transaction
                
            </td>
            <td>
                <pre>
Sales Order
Purchase Order
Quotation
Delivery Note
Sales Invoice
Purchase Invoice
Purchase Receipt
Appraisal</pre>
            </td>
        </tr>
        
        <tr >
            <td>2</td>
            <td class="danger" title="Mandatory"><code>based_on</code></td>
            <td >
                Select</td>
            <td >
                Based On
                
            </td>
            <td>
                <pre>
Grand Total
Average Discount
Customerwise Discount
Itemwise Discount
Not Applicable</pre>
            </td>
        </tr>
        
        <tr >
            <td>3</td>
            <td ><code>customer_or_item</code></td>
            <td >
                Select</td>
            <td class="text-muted" title="Hidden">
                Customer or Item
                
            </td>
            <td>
                <pre>Customer
Item</pre>
            </td>
        </tr>
        
        <tr >
            <td>4</td>
            <td ><code>master_name</code></td>
            <td >
                Dynamic Link</td>
            <td >
                Customer / Item Name
                
            </td>
            <td>
                <pre>customer_or_item</pre>
            </td>
        </tr>
        
        <tr >
            <td>5</td>
            <td ><code>column_break_3</code></td>
            <td class="info">
                Column Break</td>
            <td >
                
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>6</td>
            <td ><code>company</code></td>
            <td >
                Link</td>
            <td >
                Company
                
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/setup/company">Company</a>


                
            </td>
        </tr>
        
        <tr class="info">
            <td>7</td>
            <td ><code>section_break_17</code></td>
            <td >
                Section Break</td>
            <td >
                
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>8</td>
            <td ><code>value</code></td>
            <td >
                Float</td>
            <td >
                Authorized Value
                
            </td>
            <td></td>
        </tr>
        
        <tr class="info">
            <td>9</td>
            <td ><code>section_break_7</code></td>
            <td >
                Section Break</td>
            <td >
                
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>10</td>
            <td ><code>system_role</code></td>
            <td >
                Link</td>
            <td >
                Applicable To (Role)
                
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/core/role">Role</a>


                
            </td>
        </tr>
        
        <tr >
            <td>11</td>
            <td ><code>to_emp</code></td>
            <td >
                Link</td>
            <td >
                Applicable To (Employee)
                
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/hr/employee">Employee</a>


                
            </td>
        </tr>
        
        <tr >
            <td>12</td>
            <td ><code>column_break_10</code></td>
            <td class="info">
                Column Break</td>
            <td >
                
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>13</td>
            <td ><code>system_user</code></td>
            <td >
                Link</td>
            <td >
                Applicable To (User)
                
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/core/user">User</a>


                
            </td>
        </tr>
        
        <tr >
            <td>14</td>
            <td ><code>to_designation</code></td>
            <td >
                Link</td>
            <td >
                Applicable To (Designation)
                
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/hr/designation">Designation</a>


                
            </td>
        </tr>
        
        <tr class="info">
            <td>15</td>
            <td ><code>section_break_13</code></td>
            <td >
                Section Break</td>
            <td >
                
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>16</td>
            <td ><code>approving_role</code></td>
            <td >
                Link</td>
            <td >
                Approving Role (above authorized value)
                
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/core/role">Role</a>


                
            </td>
        </tr>
        
        <tr >
            <td>17</td>
            <td ><code>column_break_15</code></td>
            <td class="info">
                Column Break</td>
            <td >
                
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>18</td>
            <td ><code>approving_user</code></td>
            <td >
                Link</td>
            <td >
                Approving User  (above authorized value)
                
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/core/user">User</a>


                
            </td>
        </tr>
        
    </tbody>
</table>


    <hr>
    <h3>Controller</h3>
    <h4>erpnext.setup.doctype.authorization_rule.authorization_rule</h4>

    



	
        
	<h3 style="font-weight: normal;">Class <b>AuthorizationRule</b></h3>
    
    <p style="padding-left: 30px;"><i>Inherits from frappe.model.document.Document</i></h4>
    
    <div class="docs-attr-desc"><p></p>
</div>
    <div style="padding-left: 30px;">
        
        
    
    
	<p class="docs-attr-name">
        <a name="check_duplicate_entry" href="#check_duplicate_entry" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>check_duplicate_entry</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="validate" href="#validate" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>validate</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="validate_rule" href="#validate_rule" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>validate_rule</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
    </div>
    <hr>

	


    
    


<!-- autodoc -->
<!-- jinja -->
<!-- static -->